services:
  readarr:
    extends:
      file: ${TEMPLATES_PATH}
      service: default
    image: lscr.io/linuxserver/readarr:develop
    container_name: readarr
    ports:
      - 2003:8787
    networks:
      - ip4net
    volumes:
      - ${MEDIA_PATH}/readarr/config:/config
      - ${MEDIA_PATH}/data/torrents:/data/torrents
      - ${EXTERNAL_STORAGE}/media/audiobooks:/data/media/audiobooks
      - ${EXTERNAL_STORAGE}/media/books:/data/media/books
    labels:
      # Traefik
      - "traefik.enable=true"
      - "traefik.http.routers.readarr.rule=Host(`readarr.${LOCAL_DOMAIN}`)"
      - "traefik.http.routers.readarr.entrypoints=https"
      - "traefik.http.routers.readarr.tls=true"
